Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ide
Class ResourceJobHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.amf.gen.ide.ResourceHandler
                  org.eclipse.amp.amf.gen.ide.ResourceJobHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  GenerateAscapeHandler, GenerateDocHandler, GenerateEscape3DHandler, GenerateEscapeHandler, GenerateFunctionLibraryHandler, GenerateInterfaceHandler, GenerateKeyHandler, GenerateSkeletonHandler, GenerateTestCaseHandler, GenerateTextHandler

    public abstract class ResourceJobHandler

extends ResourceHandler

Executes upon a resource, wrapped within a job.

Author:
  milesparker

Constructor Summary
`ResourceJobHandler()`

Method Summary
`void` | `executeHandler(org.eclipse.core.commands.ExecutionEvent event, java.lang.Object resource, java.lang.String name)`

Methods inherited from class org.eclipse.amp.amf.gen.ide.ResourceHandler
`execute, execute, execute, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceJobHandler

    public ResourceJobHandler()

Method Detail

### executeHandler

    public void executeHandler(org.eclipse.core.commands.ExecutionEvent event,
                               java.lang.Object resource,
                               java.lang.String name)
                        throws org.eclipse.core.commands.ExecutionException

  Overrides:
    `executeHandler` in class `ResourceHandler`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD